LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Enumerations
IOErrorCode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Enumerations
enum | IOErrorCode { ABORT , ACCESS_DENIED , ALREADY_EXISTING , BAD_CRC , CANT_CREATE , CANT_READ , CANT_SEEK , CANT_TELL , CANT_WRITE , CURRENT_DIRECTORY , DEVICE_NOT_READY , DIFFERENT_DEVICES , GENERAL , INVALID_ACCESS , INVALID_CHARACTER , INVALID_DEVICE , INVALID_LENGTH , INVALID_PARAMETER , IS_WILDCARD , LOCKING_VIOLATION , MISPLACED_CHARACTER , NAME_TOO_LONG , NOT_EXISTING , NOT_EXISTING_PATH , NOT_SUPPORTED , NO_DIRECTORY , NO_FILE , OUT_OF_DISK_SPACE , OUT_OF_FILE_HANDLES , OUT_OF_MEMORY , PENDING , RECURSIVE , UNKNOWN , WRITE_PROTECTED , WRONG_FORMAT , WRONG_VERSION }
| Types of input/output errors. More...